[obj]
id.column = 'import_id'
id.type = 'int'

id_uzivatel.column = 'makler_id'
id_uzivatel.type = 'int'

id_zakazky.column = 'id_zakazky'
id_zakazky.type = 'string'
id_zakazky.value = '@kod'


;máme i poptávku?
zakazka_typ.column = 'action'
zakazka_typ.type = 'int'
zakazka_typ.convert.1 =  1
zakazka_typ.convert.2 =  3

nemovitost_typ.column = 'category'
nemovitost_typ.type = 'int'
;mají stejný číselník, není třeba konvertovat

;zatim budou pouze slovenske nemovitosti
stat_konstanta.column = 'state'
stat_konstanta.type = 'string'
stat_konstanta.value = '001'

nemovitost_uir_kraj_kod.column='county'
nemovitost_uir_kraj_kod.type='string'
nemovitost_uir_okres_kod.column='district'
nemovitost_uir_okres_kod.type='string'
nemovitost_uir_obec_kod.column='region'
nemovitost_uir_obec_kod.type='string'
;preklad se provadi v exportu

nemovitost_uir_ulice_text.column = 'street'
nemovitost_uir_ulice_text.type = 'string'
nemovitost_uir_ulice_text.value = 'substr<@this, 0, 50>'

nemovitost_cena_prodej.column = 'price'
nemovitost_cena_prodej.type = 'float'
nemovitost_cena_prodej.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

nemovitost_cena_pronajem.column = 'price'
nemovitost_cena_pronajem.type = 'float'
nemovitost_cena_pronajem.unset = '@zakazka_typ == 2 ? @null : @_convertedValue'

nemovitost_cena_prodej_jednotka.column = 'price_unit'
nemovitost_cena_prodej_jednotka.type = 'int'
nemovitost_cena_prodej_jednotka.convert.1 = 1
nemovitost_cena_prodej_jednotka.convert.3 = 2
nemovitost_cena_prodej_jednotka.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

nemovitost_cena_pronajem_jednotka.column = 'price_unit'
nemovitost_cena_pronajem_jednotka.type = 'int'
nemovitost_cena_pronajem_jednotka.convert.2 = 3
nemovitost_cena_pronajem_jednotka.convert.4 = 4
nemovitost_cena_pronajem_jednotka.convert.5 = 6
nemovitost_cena_pronajem_jednotka.convert.6 = 5
;POZOR! specialní hodnota, prevede cenu z denni na mesicni
nemovitost_cena_pronajem_jednotka.convert.7 = 999
nemovitost_cena_pronajem_jednotka.unset = '@zakazka_typ == 2 ? @null : @_convertedValue'

nemovitost_mena.column = 'price_currency'
nemovitost_mena.type = 'int'
nemovitost_mena.convert.1 = 3
nemovitost_mena.convert.2 = 5
nemovitost_mena.convert.3 = 1

nemovitost_vlastnictvi.column = 'ownership'
nemovitost_vlastnictvi.type = 'int'
;číselník máme stejný
nemovitost_vlastnictvi.unset = 'inList<@nemovitost_typ, 3, 4> ? @null : @_convertedValue'
;platí pro typy nemovitostí 3 a 4

nemovitost_dispozice.column = 'flat_kind'
nemovitost_dispozice.type = 'int'
;číselník máme stejný
nemovitost_dispozice.unset = '@nemovitost_typ == 4 ? @null : @_convertedValue'

nemovitost_plocha_kancelari.column = 'offices_area'
nemovitost_plocha_kancelari.type = 'int'
nemovitost_plocha_kancelari.unset = '@nemovitost_plocha_kancelari == 0 ? @_convertedValue : $null '

nemovitost_plocha_celkova.column = 'total_area'
nemovitost_plocha_celkova.type = 'int'
nemovitost_plocha_celkova.unset = '@nemovitost_plocha_celkova == 0 ? @_convertedValue : $null '

;viz Irest_Model_Nabidka
nemovitost_plocha_celkova.column = 'usable_area'
nemovitost_plocha_celkova.type = 'int'
nemovitost_plocha_celkova.unset = 'inList<@nemovitost_typ, 2, 3, 4, 11> ? @null : @_convertedValue'

nemovitost_plocha_uzitna.column = 'usable_area'
nemovitost_plocha_uzitna.type = 'int'
nemovitost_plocha_uzitna.unset = 'inList<@nemovitost_typ, 1, 5, 6, 7 ,8, 10>? @null : @_convertedValue'

nemovitost_plocha_kancelari.column = 'usable_area'
nemovitost_plocha_kancelari.type = 'int'
nemovitost_plocha_kancelari.unset = 'inList<@nemovitost_typ, 9> ? @null : @_convertedValue'

;TODO house_kind

nemovitost_plocha_parcely.column = 'plot_area'
nemovitost_plocha_parcely.type = 'int'
nemovitost_plocha_parcely.unset = '@nemovitost_plocha_parcely==0 ? @_convertedValue : @null'

;Pokud je nemovitost pozemek, posleme celkovou plochu jako plot_area
;Kdyz plot_area neposleme, Topreality zobrazi CENA DOHODOU
plot_area.column = 'plot_area'
plot_area.type = 'int'
plot_area.value = '@nemovitost_plocha_celkova'
plot_area.unset = '@nemovitost_typ == 3 ? @null : @_convertedValue'

;TODO plocha podlahy - nemame

nemovitost_plocha_zastavena.column = 'building_area'
nemovitost_plocha_zastavena.type = 'int'
nemovitost_plocha_zastavena.unset = '@nemovitost_plocha_zastavena==0 ? @_convertedValue : @null'

;TODO obytna plocha - nemame

nemovitost_balkon_plocha.column = 'balcony_area'
nemovitost_balkon_plocha.type = 'int'
nemovitost_balkon_plocha.unset = '@nemovitost_balkon_plocha == 0 ? @_convertedValue : @null'


nemovitost_lodzie_plocha.column = 'loggie_area'
nemovitost_lodzie_plocha.type = 'int'
nemovitost_lodzie_plocha.unset = '@nemovitost_lodzie_plocha == 0 ? @_convertedValue : @null'

nemovitost_plocha_terasa.column = 'terrace_area'
nemovitost_plocha_terasa.type = 'int'
nemovitost_plocha_terasa.unset = '@nemovitost_plocha_terasa == 0 ? @_convertedValue : @null'


nemovitost_sklep_plocha.column = 'cellar_area'
nemovitost_sklep_plocha.type = 'int'
;ošetřuje se v php proti nenastaveným a buglým

nemovitost_druh_objektu.column='building_type'
nemovitost_druh_objektu.type='int'
;číselník máme stejný
;nemovitost_druh_objektu.unset='@nemovitost_typ == 6 ? @null : @convertedValue'

nemovitost_stav_objektu.column = 'condition'
nemovitost_stav_objektu.type = 'int'
nemovitost_stav_objektu.convert.1=10
nemovitost_stav_objektu.convert.2=10
nemovitost_stav_objektu.convert.3=10
nemovitost_stav_objektu.convert.4=10
nemovitost_stav_objektu.convert.5=10
nemovitost_stav_objektu.convert.6=6
nemovitost_stav_objektu.convert.7=10
nemovitost_stav_objektu.convert.8=8
nemovitost_stav_objektu.convert.9=9
nemovitost_stav_objektu.convert.10=10

nemovitost_ucel_budovy.column = 'commercial_kind'
nemovitost_ucel_budovy.type = 'int'
;číselník je díky bohu stejný
nemovitost_ucel_budovy.unset = '@nemovitost_typ == 2 ? @null : @_convertedValue'

;parking_type nemáme

nemovitost_druh_pozemku.column='estate_kind'
nemovitost_druh_pozemku.type='int'
;číselník máme stejný (oni maj jen další vzadu)
nemovitost_druh_pozemku.unset='@nemovitost_typ == 3 ? @null : @convertedValue'

nemovitost_poloha_objektu.column='object_kind'
nemovitost_poloha_objektu.type='int'
;číselník máme stejný
nemovitost_poloha_objektu.unset='inList<@nemovitost_typ, 6, 11> ? @null : @convertedValue'

nemovitost_typ_domu.column='object_type'
nemovitost_typ_domu.type='int'
;číselník máme stejný
nemovitost_typ_domu.unset='@nemovitost_typ == 6 ? @null : @convertedValue'

nemovitost_typ_zarizeni.column='hotel_kind'
nemovitost_typ_zarizeni.type='int'
;číselník máme stejný
nemovitost_typ_zarizeni.unset='@nemovitost_typ == 7 ? @null : @convertedValue'

nemovitost_druh_prostor.column='office_kind'
nemovitost_druh_prostor.type='int'
;číselník máme stejný
nemovitost_druh_prostor.unset='@nemovitost_typ == 9 ? @null : @convertedValue'

; podtyp malých objektů je natvrdo garáž jednotlivá
so_type.column = 'so_type'
so_type.type = 'int'
so_type.value = 1
so_type.unset = '@nemovitost_typ == 11 ? @null : @_convertedValue'

nemovitost_umisteni_objektu.column='object_location'
nemovitost_umisteni_objektu.type='int'
;číselník máme stejný
nemovitost_umisteni_objektu.unset='@nemovitost_typ == 10 ? @null : @convertedValue'

;recreation_type nemáme
nemovitost_vybaveno.column = 'equipment'
nemovitost_vybaveno.type = 'int'
nemovitost_vybaveno.convert.0 = 1
nemovitost_vybaveno.convert.1 = 3

nemovitost_komunikace.column='road_type'
nemovitost_komunikace.type='int'
;číselník stejný
nemovitost_komunikace.unset='inList<@nemovitost_typ, 3, 10 > ? @null : @convertedValue'

nemovitost_topeni.column='heating'
nemovitost_topeni.type='string'
;nemovitost_topeni.value = max<@this>
;číselník stejný - speciální převod z multicheckboxu na int v php
nemovitost_topeni.unset='inList<@nemovitost_typ, 4,6,10> ? @null : @convertedValue'

;wheating
;location
;development
;terrene
;windows

nemovitost_elektrina.column='electric'
nemovitost_elektrina.type='string'
;v php se to převádí na buď 230 nebo 230/400
nemovitost_elektrina.unset='inList<@nemovitost_typ, 4, 6,10> ? @null : @convertedValue'

;toilets_type
;water_source
;distances

nemovitost_pocet_obytnych_mistnosti.column = 'rooms'
nemovitost_pocet_obytnych_mistnosti.type = 'int'
nemovitost_pocet_obytnych_mistnosti.unset = '@nemovitost_pocet_obytnych_mistnosti==0 ? @_convertedValue : @null'


nemovitost_pocet_podlazi.column='floors'
nemovitost_pocet_podlazi.type='int'
nemovitost_pocet_podlazi.unset='inList<@nemovitost_typ ,1,2,4,5,6,7,8,9> ? @null : @convertedValue'

nemovitost_podlazi_cislo.column = 'floor_number'
nemovitost_podlazi_cislo.type = 'int'
nemovitost_podlazi_cislo.unset = '@nemovitost_typ == 4 ? @null : @_convertedValue'

nemovitost_pocet_podlazi_pod_zemi.column = 'underground_floors'
nemovitost_pocet_podlazi_pod_zemi.type = 'int'
nemovitost_pocet_podlazi_pod_zemi.unset = '@this == 0 ? @_convertedValue: @null'

pocet_mist_k_parkovani.column = 'parking'
pocet_mist_k_parkovani.type = 'int'
pocet_mist_k_parkovani.unset = 'inList<@nemovitost_typ, 2,4,5,6,7,8,9> ? @null : @_convertedValue'

garage.column = 'garage'
garage.type = 'int'
garage.value = 'max<@nemovitost_garaz, substr<@nemovitost_ostatni,3,1> ,0>'
garage.unset = 'inList<@nemovitost_typ, 2,4,5,6,7,8,9> ? @null : @_convertedValue'

loggie.column = 'loggie'
loggie.type = 'int'
loggie.value = '@nemovitost_lodzie'
loggie.unset = 'inList<@nemovitost_typ, 4,6> ? @null : @_convertedValue'

terrace.column = 'terrace'
terrace.type = 'int'
terrace.value = '@nemovitost_terasa'
terrace.unset = 'inList<@nemovitost_typ, 4,6> ? @null : @_convertedValue'

;bathrooms
;toilets

;inzenyrske site - zatim ne
networks_1.column = 'networks_1'
networks_1.type = 'int'
networks_1.value = 'substr<@nemovitost_inzenyrske_site,0,1>'

networks_2.column = 'networks_2'
networks_2.type = 'int'
networks_2.value = 'substr<@nemovitost_inzenyrske_site,1,1>'

networks_3.column = 'networks_3'
networks_3.type = 'int'
networks_3.value = 'substr<@nemovitost_inzenyrske_site,2,1>'

networks_4.column = 'networks_4'
networks_4.type = 'int'
networks_4.value = 'substr<@nemovitost_inzenyrske_site,3,1>'

nemovitost_vytah.column = 'flat_facilities_1'
nemovitost_vytah.type = 'bool'
nemovitost_vytah.unset = 'inList<@nemovitost_typ, 4> ? @null : @_convertedValue'

balcony.column = 'balcony'
balcony.int = 'int'
balcony.value = '@nemovitost_balkon'
balcony.unset = 'inList<@nemovitost_typ, 4,6> ? @null : @_convertedValue'

nemovitost_rok_vystavby.column = 'acceptance_year'
nemovitost_rok_vystavby.type = 'int'
nemovitost_rok_vystavby.unset = 'inList<@nemovitost_typ, 6,10> ? @null : @_convertedValue'

nemovitost_rok_rekonstrukce.column = 'reconstruction_year'
nemovitost_rok_rekonstrukce.type = 'int'
nemovitost_rok_rekonstrukce.unset = 'inList<@nemovitost_typ, 6,10> ? @null : @_convertedValue'

swiming.column = 'swiming'
swiming.type = 'int'
swiming.value = 'max<@nemovitost_bazen,substr<@nemovitost_ostatni,2,1>,0>'
swiming.unset = '@nemovitost_typ == 6 ? @null : @_convertedValue'


;telefon
phoneline.column = 'phoneline'
phoneline.value = '@nemovitost_telekomunikace ? substr<@nemovitost_telekomunikace,0,1> : 0'
phoneline.unset  = 'inList<@nemovitost_typ, 1,2,3,4,5,6,7,8,9,10> ? @null : @_convertedValue'

garden.column = 'garden'
garden.type = 'int'
garden.value = '"@nemovitost_plocha_zahrada" > 0 ? 1 : 0'
garden.unset  = 'inList<@nemovitost_typ, 6, 10> ? @null : @_convertedValue'

;internet
internet.column = 'internet'
internet.value = 'substr<@nemovitost_telekomunikace,1,1>'
internet.unset  = 'inList<@nemovitost_typ, 1,2,3,4,5,6,7,8,9> ? @null : @_convertedValue'

;kabelovka
cabletv.column = 'cabletv'
cabletv.value = 'substr<@nemovitost_ostatni_rozvody,1,1>'
cabletv.unset  = 'inList<@nemovitost_typ, 4,6> ? @null : @_convertedValue'

fence.column = 'fence'
fence.type = 'int'
fence.value = 'substr<@nemovitost_ostatni, 0,1>'
fence.unset = 'inList<@nemovitost_typ, 3,6,10> ? @null : @_convertedValue'

zakazka_detail_url.column = 'detail_url'
zakazka_detail_url.type = 'string'
;POZOR! Okolo toho substr musi byt uvozovky, jinak pak newspeak nepochopi ze je vysledek string.
;pokud chyby http:// tak se doplni
zakazka_detail_url.value = '"substr<@zakazka_detail_url,0,7>" == "http://"  ? @zakazka_detail_url : http://@zakazka_detail_url'
zakazka_detail_url.unset = '"@this" ? @null : @_convertedValue'


security.column = 'security'
security.type = 'int'
security.value = 'substr<@nemovitost_ostatni,6,1>'
security.unset = 'inList<@nemovitost_typ, 1,2,9> ? @null : @_convertedValue'

nemovitost_energeticky_stitek.column = 'energy_cert'
nemovitost_energeticky_stitek.type = 'int'
nemovitost_energeticky_stitek.convert.1 = '1'
nemovitost_energeticky_stitek.convert.2 = '2'
nemovitost_energeticky_stitek.convert.3 = '3'
nemovitost_energeticky_stitek.convert.4 = '4'
nemovitost_energeticky_stitek.convert.5 = '5'
nemovitost_energeticky_stitek.convert.6 = '6'
nemovitost_energeticky_stitek.convert.7 = '7'
; následují A0 a A1
nemovitost_energeticky_stitek.convert.20 = '1'
nemovitost_energeticky_stitek.convert.21 = '1'
nemovitost_energeticky_stitek.unset = '"@this" ? @null : @_convertedValue'

[langData]
nemovitost_titulek.column = 'name'
nemovitost_titulek.type = 'string'
nemovitost_popis_detailni.column = 'description'
nemovitost_popis_detailni.type = 'string'
